
package com.ejie.ad74a.ws.client.platea.expedienteElectronico;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Clase Java para TDeliveryStatusPostal.
 * 
 * <p>El siguiente fragmento de esquema especifica el contenido que se espera que haya en esta clase.
 * <p>
 * <pre>
 * &lt;simpleType name="TDeliveryStatusPostal"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}string"&gt;
 *     &lt;enumeration value="EA"/&gt;
 *     &lt;enumeration value="EB"/&gt;
 *     &lt;enumeration value="EC"/&gt;
 *     &lt;enumeration value="ED"/&gt;
 *     &lt;enumeration value="EZ"/&gt;
 *     &lt;enumeration value="XX"/&gt;
 *     &lt;enumeration value="C00"/&gt;
 *     &lt;enumeration value="C01"/&gt;
 *     &lt;enumeration value="D01"/&gt;
 *     &lt;enumeration value="D02"/&gt;
 *     &lt;enumeration value="D03"/&gt;
 *     &lt;enumeration value="D04"/&gt;
 *     &lt;enumeration value="D05"/&gt;
 *     &lt;enumeration value="D06"/&gt;
 *     &lt;enumeration value="D07"/&gt;
 *     &lt;enumeration value="D08"/&gt;
 *     &lt;enumeration value="D09"/&gt;
 *     &lt;enumeration value="D18"/&gt;
 *     &lt;enumeration value="D22"/&gt;
 *     &lt;enumeration value="D23"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "TDeliveryStatusPostal", namespace = "com/ejie/x43s/v2/ttn/xml")
@XmlEnum
public enum TDeliveryStatusPostal {

    EA("EA"),
    EB("EB"),
    EC("EC"),
    ED("ED"),
    EZ("EZ"),
    XX("XX"),
    @XmlEnumValue("C00")
    C_00("C00"),
    @XmlEnumValue("C01")
    C_01("C01"),
    @XmlEnumValue("D01")
    D_01("D01"),
    @XmlEnumValue("D02")
    D_02("D02"),
    @XmlEnumValue("D03")
    D_03("D03"),
    @XmlEnumValue("D04")
    D_04("D04"),
    @XmlEnumValue("D05")
    D_05("D05"),
    @XmlEnumValue("D06")
    D_06("D06"),
    @XmlEnumValue("D07")
    D_07("D07"),
    @XmlEnumValue("D08")
    D_08("D08"),
    @XmlEnumValue("D09")
    D_09("D09"),
    @XmlEnumValue("D18")
    D_18("D18"),
    @XmlEnumValue("D22")
    D_22("D22"),
    @XmlEnumValue("D23")
    D_23("D23");
    private final String value;

    TDeliveryStatusPostal(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TDeliveryStatusPostal fromValue(String v) {
        for (TDeliveryStatusPostal c: TDeliveryStatusPostal.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
